proxies:
  - name: "OpenClaw-US"
    type: vless
    server: 43.135.184.85
    port: 443
    uuid: 41d09186-7005-45ec-88c6-933ea6659869
    network: tcp
    tls: true
    udp: true
    flow: xtls-rprx-vision
    servername: www.microsoft.com
    reality-opts:
      public-key: zVg4xBDGlv8OW9o0s1Md7zfgcUJU8xsO4RxUp2YedRs
      short-id: 14fe876f
    client-fingerprint: chrome

proxy-groups:
  - name: "Proxy"
    type: select
    proxies:
      - OpenClaw-US
      - DIRECT

rules:
  # 国内直连
  - GEOIP,CN,DIRECT
  - DOMAIN-SUFFIX,cn,DIRECT
  - DOMAIN-KEYWORD,baidu,DIRECT
  - DOMAIN-KEYWORD,taobao,DIRECT
  - DOMAIN-KEYWORD,alipay,DIRECT
  - DOMAIN-KEYWORD,tmall,DIRECT
  - DOMAIN-KEYWORD,jd.com,DIRECT
  - DOMAIN-KEYWORD,bilibili,DIRECT
  - DOMAIN-KEYWORD,163.com,DIRECT
  - DOMAIN-KEYWORD,qq.com,DIRECT
  - DOMAIN-KEYWORD,weixin,DIRECT
  - DOMAIN-KEYWORD,douyin,DIRECT
  # 其他走代理（包括VSCode、Codex）
  - MATCH,Proxy
